#include "window.h"

using namespace std;
using namespace morpheo::tools::viewer::parser;
using namespace morpheo::tools::viewer::bdd;
using namespace morpheo::tools::viewer::graphics;

/*zoom functions*/
void Window::_zoomIn(){
  cout << "zoom in" << endl;
}

void Window::_zoomOut(){
  cout << "zoom out" << endl;
}

void Window::_defautZoom(){
  cout << "defaut zoom" << endl;
}

void Window::_level(){
  cout << "level" <<endl;
}

/*open or close the informations window*/
void Window::_informations(){
  if(!info_open){//if the informations window is not open, open it,else close it
    this->winformations();
    info_open = true;
  }
  else{ 
    winfo->close();
    info_open = false;
  }
}

/*open or close the parameters window*/
void Window::_parameters(){//if the parameteres  window is not open, open it,else close it
  if(!param_open){
    this->wparameters();
    param_open = true;
    if(info_open){
      apply_display = false;
      display_param();
    }
  }
  else{ 
    wparam->close();
    param_open = false;
  }
}

/*display or hide the components name*/
void Window::_component_name(){

  if(componentName)
    componentName = false;

  else componentName = true;

  repaint();
}

/*display or hide the signals name*/
void Window::_signal_name(){

  if(signalName)
    signalName = false;

  else 
    signalName = true;

  repaint();
}
